<?php
 namespace Module\AdminUrlDefault;
 use TCMS\Controller;
 use Model\UrlModel;
 class UrlController extends Controller {
 public function __construct() {
 }
 public function index() {
 return $this->view();
 }
 public function update($id) {
 $model = new UrlModel();
 $data = $model->find($id);
 if(!$data) return route_redirect('index', 'Id không tồn tại', 'error');
 return $this->view($data);
 }
 public function postUpdate(UrlModel $model) {
 if($model->isValid()) {
 if($model->update()) return route_redirect('index', 'Cập nhật thành công');
 $this->view->addErrorMessage('error', 'Cập nhật thất bại');
 }
 return $this->view($model);
 }
 public function postDelete() {
 $id = (int)\Request::get('data');
 $model = new UrlModel();
 $isSuccess = $model->delete($id);
 if(\Request::isAjax()) return $this->json(['success' => $isSuccess, 'message' => $isSuccess ? 'Xóa thành công' : 'Xóa thất bại']);
 return route_redirect('index', $isSuccess ? 'Xóa thành công' : 'Xóa thất bại');
 }
 }
